unit Unit7;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
  Controls, Forms, Dialogs, Actions, ComCtrls,
  ActnList, Menus,
  IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient, IdHTTP,
  RVADownloadInterface, RVAIndyDownloadInterface,
  RVStyle, RVScroll, RichView, RVEdit, RVGifAnimate2007,
  RichViewActions;

type
  TForm7 = class(TForm)
    RichViewEdit1: TRichViewEdit;
    RVStyle1: TRVStyle;
    IdHTTP1: TIdHTTP;
    RVAIndyDownloadInterface1: TRVAIndyDownloadInterface;
    RVAControlPanel1: TRVAControlPanel;
    RVAPopupMenu1: TRVAPopupMenu;
    ActionList1: TActionList;
    RVEEditrvActionCut1: TrvActionCut;
    RVEEditrvActionCopy1: TrvActionCopy;
    RVEEditrvActionPaste1: TrvActionPaste;
    RVEEditrvActionUndo1: TrvActionUndo;
    RVEEditrvActionRedo1: TrvActionRedo;
    RVEEditrvActionSelectAll1: TrvActionSelectAll;
    StatusBar1: TStatusBar;
    procedure RichViewEdit1BeforeOleDrop(Sender: TObject);
    procedure RichViewEdit1AfterOleDrop(Sender: TObject);
    procedure RVAControlPanel1Download(Sender: TrvAction; const Source: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form7: TForm7;

implementation

{$R *.dfm}

procedure TForm7.RichViewEdit1BeforeOleDrop(Sender: TObject);
begin
  RVAControlPanel1.InitImportPictures(nil, nil);
  (Sender as TCustomRichViewEdit).OnImportPicture := RVAControlPanel1.DoImportPicture;
end;

procedure TForm7.RichViewEdit1AfterOleDrop(Sender: TObject);
begin
  (Sender as TCustomRichViewEdit).OnImportPicture := nil;
  RVAControlPanel1.DoneImportPictures;
end;

procedure TForm7.RVAControlPanel1Download(Sender: TrvAction;
  const Source: string);
begin
  if Source = '' then
    StatusBar1.SimpleText := ''
  else
    StatusBar1.SimpleText := 'Downloading ' + Source + '...';
end;

end.
